Bug 151929 - RFE: rhn-ssl-tool does not allow hook for X.509SubjectAltName
RFE: rhn-ssl-tool does not allow hook for X.509SubjectAltName
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
360
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2005-03-23 12:21 EST by Aaron Spangler
Modified: 2012-03-15 12:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-15 12:10:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Spangler 2005-03-23 12:21:55 EST
Description of problem:

  Feature request.  Please provide command line option for including
X.509SubjectAltName's in SSL Server certificate.  This would be usefull if
the RHN server was known by several DNS names.

  When rhn-ssl-tool generates a new web cert, it would just have to add the
  optional line 'subjectAltName = alias.example.com' to the bottom of the
  /root/ssl-build/<hostname>/rhn-server-openssl.cnf file when signing the
  certificate request.

  It would be even nicer if the Web GUI for the rhn-installer would then
  prompt the user for any alternate names (aliases).

Todo:  I have not checked if the rhn-client properly accepts the alt names yet.
 This may not even work.  I'll have to gen a cert by hand and see if one of my
rhn clients likes it.

 -Aaron
Comment 1 Robin Norwood 2006-10-17 12:50:05 EDT
mass reassign to mmccune
Comment 3 Jan Pazdziora 2012-03-15 12:10:10 EDT
spacewalk-certs-tools-1.1.1-2 added --set-cname option to add subjectAltName.

Note You need to log in before you can comment on or make changes to this bug.